Linux Virtual Delivery Agent

系统要求

Linux 发行版

注意:

本文档中未涉及的组件(例如 Citrix Workspace 应用程序)的系统要求在其各自的文档集中进行说明。

在安装 Linux VDA 之前,请按照 https://docs.microsoft.com/en-us/dotnet/core/install/linux-package-managers 上的说明安装 .NET Core 运行时 3.1。

有关在长期服务 (LTSR) 环境中使用此当前版本 (CR) 以及其他常见问题解答的详细信息,请参阅 知识中心文章

Linux VDA 支持以下 Linux 发行版:

  • SUSE Linux Enterprise:
    • Server 12 Service Pack 5 + SUSE Linux Enterprise Workstation Extension 12 SP5
    • Server 12 Service Pack 5
  • Red Hat Enterprise Linux
    • Workstation 8.3
    • 工作站 8.2
    • Workstation 8.1
    • 工作站 7.9
    • 工作站 7.8
    • Server 8.3
    • Server 8.2
    • Server 8.1
    • Server 7.9
    • Server 7.8
  • CentOS Linux
    • CentOS 8.3
    • CentOS 8.2
    • CentOS 8.1
    • CentOS 7.9
    • CentOS 7.8
  • Ubuntu Linux
    • Ubuntu Desktop 20.04
    • Ubuntu Server 20.04
    • Ubuntu Desktop 18.04
    • Ubuntu Server 18.04
    • Ubuntu Live Server 18.04
    • Ubuntu Desktop 16.04
    • Ubuntu Server 16.04
  • Debian Linux
    • Debian 10.7
  • Pardus Linux
    • Pardus 17(有关受支持功能范围的信息,请参阅知识中心文章 CTX238492)。

注意:

CentOS 项目将关注的焦点切换到 CentOS Stream。作为 RHEL 8 的重建,CentOS Linux 8 将于 2021 年底终止提供。之后,CentOS Stream 将继续用作 Red Hat Enterprise Linux 的上游(开发)分支。有关详细信息,请参阅https://www.redhat.com/en/blog/centos-stream-building-innovative-future-enterprise-linux

Linux VDA 支持多种将 Linux 计算机与 Microsoft Active Directory (AD) 集成的方法:

  Winbind SSSD Centrify PBIS Quest
RHEL 8.3
CentOS 8.3
RHEL 8.2
CentOS 8.2
RHEL 8.1
CentOS 8.1
RHEL 7.9
CentOS 7.9
RHEL 7.8
CentOS 7.8
Ubuntu 20.04
Ubuntu 18.04
Ubuntu 16.04
Debian 10.7
SUSE 12.5

有关此 Linux VDA 版本支持的 Linux 发行版和 Xorg 版本列表,请参阅下表。有关详细信息,请参阅XorgModuleABIVersions

Linux 发行版 Xorg 版本
RHEL 8.3、CentOS 8.3 1.20.8
RHEL 8.2、CentOS 8.2 1.20.8
RHEL 8.1、CentOS 8.1 1.20.8
RHEL 7.9、CentOS 7.9 1.20
RHEL 7.8、CentOS 7.8 1.20
Ubuntu 20.04 1.20
Ubuntu 18.04 1.19
Ubuntu 16.04 1.18
Debian 10.7 1.20
SUSE 12.5 1.19
Pardus 17 1.19

请勿在 Ubuntu 上使用 HWE 内核或 HWE Xorg。

在 RHEL 8.x 和 CentOS 8.x 上使用 PulseAudio 13.99。

在所有情况下,受支持的处理器架构均为 x86-64。

注意:

当 Linux 操作系统供应商提供的支持过期时,Citrix 对该操作系统平台和版本的支持也将过期。

重要:

GNOME 和 KDE 桌面在 SUSE 12、RHEL 7、CentOS 7、RHEL 8 和 CentOS 8 中受支持。只有 Ubuntu 16.04 支持 Unity 桌面。Ubuntu 20.04、Ubuntu 18.04 和 Debian 10.7 支持 GNOME 桌面。Linux VDA 支持的所有 Linux 发行版都支持 MATE 桌面,但 SUSE 12.5 和 Pardus 17 除外。至少必须安装一种桌面。

Citrix Virtual Desktops

Linux VDA 与当前所有受支持的 Citrix Virtual Apps and Desktops 版本兼容。要获取有关 Citrix 产品生命周期的信息,以及了解何时 Citrix 会停止支持特定的产品版本,请参阅 Citrix 产品生命周期表

Linux VDA 与 Windows VDA 的配置过程略有差别。但是,所有 Delivery Controller 场都能为 Windows 和 Linux 桌面提供代理服务。

支持的主机平台和虚拟化环境

  • 裸机服务器
  • Citrix Hypervisor
  • VMware ESX 和 ESXi
  • Microsoft Hyper-V
  • Nutanix AHV
  • Microsoft Azure Resource Manager
  • Amazon Web Services (AWS)
  • Google 云端平台 (GCP)

提示:

有关受支持平台的列表,请参阅供应商的文档。

注意:

Azure、AWS 和 GCP 仅与 Citrix Virtual Apps and Desktops 服务兼容。使用 MCS 创建虚拟机时,裸机服务器不受支持。

Active Directory 集成软件包

Linux VDA 支持以下 Active Directory 集成软件包或产品:

  • Samba Winbind
  • Quest Authentication Services v4.1 或更高版本
  • Centrify DirectControl
  • SSSD
  • PBIS(与 RHEL 7、Ubuntu 和 Debian 兼容)

提示:

有关受支持平台的列表,请参阅 Active Directory 集成软件包供应商提供的文档。

HDX 3D Pro

使用以下虚拟机管理程序和 NVIDIA GRID™ GPU 才能支持 HDX 3D Pro。

虚拟机管理程序

  • Citrix Hypervisor
  • VMware ESX 和 ESXi
  • Nutanix AHV

注意

:虚拟机管理程序与某些 Linux 发行版兼容。

GPU

Linux VDA 支持以下 GPU 用于 GPU 直通:

  • NVIDIA GRID - Tesla T4
  • NVIDIA GTX750Ti
  • NVIDIA GRID - Tesla M60
  • NVIDIA GRID - K2
  • NVIDIA GRID - Tesla P40
  • NVIDIA GRID - Tesla P4
  • NVIDIA GRID - Tesla P100

Linux VDA 支持以下 GPU 用于 vGPU:

  • NVIDIA GRID - Tesla T4
  • NVIDIA GRID - Tesla V100
  • NVIDIA GRID - Tesla M60
  • NVIDIA GRID - Tesla M10
  • NVIDIA GRID - Tesla P40
  • NVIDIA GRID - Tesla P4
  • NVIDIA GRID - Tesla P100
系统要求